#
# spec file for package growpart-rootgrow
#
# Copyright (c) 2021 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:             growpart-rootgrow
Version:          1.0.5
Release:          1.5sr
Url:              https://github.com/SUSE-Enceladus/rootgrow
Summary:          Simple Wrapper for growpart
License:          GPL-3.0+
Group:            System/Management
Source:           growpart-rootgrow.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-build
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    systemd-rpm-macros
Requires:         python3-setuptools
Requires:         util-linux
Requires(preun):  systemd
Requires(postun): systemd
BuildArch:        noarch

%description
A simple wrapper implementation for growpart

%prep
%setup -q -n rootgrow-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

install -D -m 644 systemd/rootgrow.service \
    %{buildroot}%{_unitdir}/rootgrow.service

install -D -m 644 LICENSE \
    %{buildroot}%{_defaultdocdir}/growpart-rootgrow/LICENSE

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*
%dir %{_defaultdocdir}/growpart-rootgrow
%{_defaultdocdir}/growpart-rootgrow/LICENSE
%{_bindir}/rootgrow
%{_unitdir}/rootgrow.service

%changelog
* Mon Aug  2 2021 Sean Marlow <sean.marlow@suse.com>
- Fix root partition ID lookup. Only consider trailing digits to be
  part of the paritition ID. (bsc#1188868) (bsc#1188904)
* Tue Jul 13 2021 Robert Schweikert <rjschwei@suse.com>
- Change the logic to determine the partition ID of the root filesystem
  (bsc#1188179)
  + Previously the algorithm depended on the order of the output
  from lsblk using an index to keep track of the known partitions.
  The new implementation is order independent, it depends on the
  partition ID being numerical in nature and at the end of the device
  string.
* Fri Jan 22 2021 Sean Marlow <sean.marlow@suse.com>
- Add coverage config.
  Omit version module from coverage check.
* Fri Jan 22 2021 Sean Marlow <sean.marlow@suse.com>
- Fix string formatting for flake8 formatting.
* Fri Jan 22 2021 Sean Marlow <sean.marlow@suse.com>
- Replace travis testing with GitHub actions.
  Add ci testing workflow action.
* Fri Feb 28 2020 Robert Schweikert <rjschwei@suse.com>
- Switch implementation to use Popen for Python 3.4 compatibility (bsc#1165198)
* Fri Feb 28 2020 Robert Schweikert <rjschwei@suse.com>
- Bump version: 1.0.2 → 1.0.3
* Fri Feb 28 2020 Marcus Schäfer <ms@suse.de>
- Fixed unit tests and style
  This clobbers several fixes into one. Sorry about it but I
  started on already made changes done by other people.
  This commit includes several pep8 style fixes mostly on
  the indentation level. In addition it fixes the unit
  tests to really cover all code and to make the exception
  tests really effective.
* Fri Feb 28 2020 Robert Schweikert <rjschwei@suse.com>
- Switch to use Popen instead of run
  The run() fuction in the subprocess module was implemented after
  Python 3.4. However, we need to support Python 3.4 for SLES 12
* Thu Nov  7 2019 Marcus Schäfer <ms@suse.de>
- Bump version: 1.0.1 → 1.0.2
* Tue Nov  5 2019 Marcus Schäfer <ms@suse.de>
- Package LICENSE file
  The LICENSE file is part of the source repo but was not
  packaged with the rpm package
* Thu Oct 24 2019 Marcus Schäfer <ms@suse.de>
- Bump version: 1.0.0 → 1.0.1
* Thu Oct 24 2019 Marcus Schäfer <ms@suse.de>
- Reference entry for maintenance
  Tracker bug for the submission set to: bsc#1154357
* Mon Aug 26 2019 Marcus Schäfer <ms@suse.de>
- Fixed binary location in service unit file
  rootgrow is installed via the console_scripts entrypoint
  of pythons setuptools. Unfortunately that entrypoint does
  not have an easy way to target a console script to /usr/sbin
  which would be the correct location. As patching the situation
  in setuptools will cause a huge chain of after effects for
  a simple thing I decided to just go with /usr/bin and provide
  this simple one liner patch in the systemd service file
* Mon Aug 19 2019 Marcus Schäfer <ms@suse.de>
- Bump version: 0.0.2 → 1.0.0
* Mon Aug 19 2019 Marcus Schäfer <ms@suse.de>
- Name package growpart-rootgrow for compat reasons
  Avoid any change on the image description level. This requires
  the package to be named like the subpackage from the growpart
  build before
* Wed Aug 14 2019 Marcus Schäfer <ms@suse.de>
- Bump version: 0.0.1 → 0.0.2
* Wed Aug 14 2019 Marcus Schäfer <ms@suse.de>
- Update spec file requirement list
* Tue Aug 13 2019 Marcus Schäfer <ms@suse.de>
- Refactor entire code and device handling
  Split code into more readable parts. Make use of
  util linux findmnt, lsblk and friends and stabilize
  the entire code base. Also cover code with unit tests
* Fri Jul 26 2019 Marcus Schäfer <ms@suse.de>
- Initial project setup
  Created all infrastructure, testing, virtualenv and package
  data files to develop rootgrow as a python project. Also
  adapted the existing code to be flake8 clean. Some more
  restructuring and especially unit testing needs to be done
  prior to the first package build
